DefaultType Class Reference

Atomic credit-event type. More...

`#include <ql/experimental/credit/defaulttype.hpp>`

Inheritance diagram for DefaultType:
[legend]

## Public Member Functions

| DefaultType (AtomicDefault::Type defType=AtomicDefault::Bankruptcy, Restructuring::Type restType=Restructuring::XR)
AtomicDefault::Type | defaultType () const
Restructuring::Type | restructuringType () const
bool | isRestructuring () const
bool | containsDefaultType (AtomicDefault::Type defType) const
bool | containsRestructuringType (Restructuring::Type resType) const

## Protected Attributes

AtomicDefault::Type | defTypes_
Restructuring::Type | restrType_

## Detailed Description

Atomic credit-event type.

This class encapsulates the ISDA default contractual types and their combinations. Non-atomicity works only at the atomic type level, obviating the specific event characteristics which it is accounted for only in derived classes.

## Member Function Documentation

bool containsDefaultType | ( | AtomicDefault::Type | defType | ) | const

Returns true if one or a set of event types is within this one and as such will be recognised as a trigger. Not the same as equality.

Notice that these methods do not include any event logical hierarchy. The match is in a strict sense. If event B is contained in (implied by) event A this would not send a match. This policies should be implemented at the CreditEvent class, which is polymorphic.